Activity log for bug #1734174

Date Who What changed Old value New value Message
2017-11-23 18:16:29 Kristina Hoeppner bug added bug
2017-11-28 14:33:35 Mark Webster bug added subscriber Mark Webster
2017-12-01 16:43:47 Maria Sorica mahara: assignee Maria Sorica (maria-sorica)
2017-12-26 21:53:22 Kristina Hoeppner summary Re-trigger consent and agreement to T&C when they change or when user changes institutions Re-trigger consent to privacy statement when they change or when user changes institutions
2017-12-26 21:55:13 Kristina Hoeppner description We need to make a series of changes in Mahara to comply with the GDPR. More info is available on the wiki at https://wiki.mahara.org/wiki/Developer_Area/Specifications_in_Development/GDPR_compliance The following should be possible (note: T&C refers to the general agreement and also any specific explicit consent): 1. When site T&C change, user needs to accept them again. 2. When institution T&C change, user needs to accept them again. 3. When user joins a new institution, they need to agree to the new institution's T&C. If only site or institution T&C change, the user should still be presented with all T&C but it should be clear which section has changed, e.g. show the institution T&C in a non-retracted panel but the site T&C in a retracted panel so they can read them again, but it's clear which section needs approval. We need to make a series of changes in Mahara to comply with the GDPR. More info is available on the wiki at https://wiki.mahara.org/wiki/Developer_Area/Specifications_in_Development/GDPR_compliance The following should be possible: 1. When site privacy statement changes, user needs to accept it again. 2. When institution privacy statement changes, members of the institution need to accept it again. 3. When user joins a new institution, they need to agree to the new institution's privacy statement. If only site or institution privacy statement changes, the user should still be presented with the site and institution privacy statement but it should be clear which section has changed, e.g. show the institution privacy statement in a non-retracted panel but the site privacy statement in a retracted panel so they can read them again, but it's clear which section needs approval.
2018-01-08 09:59:25 Maria Sorica mahara: status Confirmed In Progress
2018-01-17 12:17:20 Maria Sorica mahara: status In Progress Fix Committed
2018-02-09 04:29:26 Kristina Hoeppner tags gdpr gdpr nominatedfeature
2018-04-05 23:02:45 Robert Lyon mahara: status Fix Committed Fix Released